/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package algopher;

/** Open a browser window with a given url.
 *  This depends on JSE and awt.Desktop
 *
 * @author Michiel
 */
import java.net.URI;
import java.awt.Desktop;

/**
 * Open up a url in the default browser.
 * Runs only on desktop - Java SE
 *
 * @author Michiel
 */
public class Browser {

    /**
     * Open a url in external browser. Url cannot be empty.
     * Other then that, no checking is done on the url.
     *
     * @param url
     */
    public static void open(String url) {

        assert(url != null);
        if( !Desktop.isDesktopSupported() ) {

            System.err.println( "Desktop is not supported (fatal)" );
            System.exit( 1 );
        }

        Desktop desktop = Desktop.getDesktop();

        if( !desktop.isSupported( Desktop.Action.BROWSE ) ) {
            System.err.println( "Desktop doesn't support the browse action (fatal)" );
            System.exit( 1 );
        }

        try {
            URI uri = new URI( url );
            desktop.browse( uri );
        }
        catch ( Exception e ) {

            System.err.println( e.getMessage() );
        }
    }
}
